# FIT-Connect .NET SDK User Guide

## Introduction

This project is an SDK that allows a user to create easily a submission and send that submission via FIT-Connect to the respective destination.
The user manual and how to use information can be found on the official documentations page of [FIT-Connect](https://docs.fitko.de/fit-connect)

### Prerequisite

The SDK is developed in .NET 6 and uses RSA-OAEP-256.
On MacOS you have to install OpenSSL with e.g. homebrew package manager.

## Important Links

- [Public repository](https://git.fitko.de/fit-connect/sdk-dotnet)
- [Documentation](https://docs.fitko.de/fit-connect)
- [Microsoft .NET 6.0](https://dotnet.microsoft.com/en-us/download/dotnet/6.0)
- [Homebrew](https://brew.sh)
- [glossary](https://docs.fitko.de/fit-connect/docs/glossary/)

### License

Source code is licensed under the [EUPL](LICENSES/EUPL-1.2.txt).

Rechtlicher Hinweis: Dieses Software Development Kit (SDK) ist dazu bestimmt, die Anbindung einer Software an die FIT-Connect-Infrastruktur zu ermöglichen. 
Hierfür kann das SDK in die anzubindenden Software integriert werden. Erfolgt die Integration des SDK in unveränderter Form, liegt keine Bearbeitung im Sinne der EUPL bzw. des deutschen Urheberrechts vor. 
Die Art und Weise der Verlinkung des SDK führt insbesondere nicht zur Schaffung eines abgeleiteten Werkes.
Die unveränderte Übernahme des SDK in eine anzubindende Software führt damit nicht dazu, dass die anzubindende Software unter den Bedingungen der EUPL zu lizenzieren ist. 
Für die Weitergabe des SDK selbst - in unveränderter oder bearbeiteter Form, als Quellcode oder ausführbares Programm - gelten die Lizenzbedingungen der EUPL in unveränderter Weise.